Introduce the 465 driver series, fabric-manager, and libnvidia-nscq

Bug #1925522 reported by Alberto Milone
30
This bug affects 3 people
Affects Status Importance Assigned to Milestone
fabric-manager-450 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Focal
Undecided
Unassigned
Groovy
Undecided
Unassigned
Hirsute
Undecided
Unassigned
fabric-manager-460 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Focal
Undecided
Unassigned
Groovy
Undecided
Unassigned
Hirsute
Undecided
Unassigned
libnvidia-nscq-450 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Focal
Undecided
Unassigned
Groovy
Undecided
Unassigned
Hirsute
Undecided
Unassigned
libnvidia-nscq-460 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Focal
Undecided
Unassigned
Groovy
Undecided
Unassigned
Hirsute
Undecided
Unassigned
linux-restricted-modules (Ubuntu)
Medium
Krzysztof Kozlowski
Bionic
Medium
Krzysztof Kozlowski
Focal
Medium
Krzysztof Kozlowski
Groovy
Medium
Krzysztof Kozlowski
Hirsute
Medium
Krzysztof Kozlowski
nvidia-graphics-drivers-450-server (Ubuntu)
Medium
Alberto Milone
Bionic
Medium
Alberto Milone
Focal
Medium
Alberto Milone
Groovy
Medium
Alberto Milone
Hirsute
Medium
Alberto Milone
nvidia-graphics-drivers-460 (Ubuntu)
Medium
Alberto Milone
Bionic
Medium
Alberto Milone
Focal
Medium
Alberto Milone
Groovy
Medium
Alberto Milone
Hirsute
Medium
Alberto Milone
nvidia-graphics-drivers-465 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Focal
Undecided
Unassigned
Groovy
Undecided
Unassigned
Hirsute
Undecided
Unassigned
nvidia-settings (Ubuntu)
Medium
Alberto Milone
Bionic
Medium
Alberto Milone
Focal
Medium
Alberto Milone
Groovy
Medium
Alberto Milone
Hirsute
Medium
Alberto Milone

Bug Description

Introduce the new NVIDIA 465 driver series, fabric-manager and libnvidia-nscq. Also migrate the UDA 450 series to the 460 series.

[Impact]
These releases provide both bug fixes and new features, and we would like to
make sure all of our users have access to these improvements.

See the changelog entry below for a full list of changes and bugs.

[Test Case]
The following development and SRU process was followed:
https://wiki.ubuntu.com/NVidiaUpdates

Certification test suite must pass on a range of hardware:
https://git.launchpad.net/plainbox-provider-sru/tree/units/sru.pxu

The QA team that executed the tests will be in charge of attaching the artifacts and console output of the appropriate run to the bug. nVidia maintainers team members will not mark ‘verification-done’ until this has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned system level tests are attached to this bug.

[Discussion]

[Changelog]

== 450-server ==

  * New upstream release (LP: #1925522).
    - Fixed an issue with the NSCQ library that caused clients such as
      DCGM to fail to load the library. Since the NSCQ library version
      needs to match the driver version, the user would encounter a
      version mismatch issue when using DCGM.
    - Fixed an ECC policy that caused a CUDA malloc failure after
      encountering a single uncorrectable error.

== 460 ==

  * debian/additional_card_ids:
    - Add new IDs:
      1FB1 (Nvidia T600)
      2231 (Nvidia RTX A5000)
      24B7 (Nvidia RTX A4000 mobile)
      24B8 (Nvidia RTX A3000 mobile)
      25B8 (Nvidia RTX A2000 mobile)
  * debian/templates/control.in:
    - Make nvidia-dkms depend on its versioned nvidia-kernel-source
      (LP: #1925386).
    - Add transitional packages for the 450 series (LP: #1925522).

== 465 ==

  * Initial release (LP: #1925522).

== nvidia-settings ==

  * New upstream release (LP: #1925522). [all releases]
  * debian/patches/08_add_prime_support.patch: [all releases except for impish and hirsute]
    - Stop the timeout after the child is done. This fixes an error
      that g_type_check_instance_is_a() was throwing.

== fabric-manager-450 and fabric-manager-460 ==

  * Initial release (LP: #1925522).

== libnvidia-nscq-450 and libnvidia-nscq-460 ==

  * Initial release (LP: #1925522).

Changed in nvidia-graphics-drivers-460-server (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
status: New → In Progress
importance: Undecided → Medium
description: updated
description: updated
affects: nvidia-graphics-drivers-460-server (Ubuntu) → nvidia-graphics-drivers-450-server (Ubuntu)
Changed in linux-restricted-modules (Ubuntu):
assignee: nobody → Krzysztof Kozlowski (krzk)
importance: Undecided → Medium
status: New → In Progress
Changed in linux-restricted-modules (Ubuntu Bionic):
assignee: nobody → Krzysztof Kozlowski (krzk)
importance: Undecided → Medium
status: New → In Progress
Changed in linux-restricted-modules (Ubuntu Focal):
assignee: nobody → Krzysztof Kozlowski (krzk)
importance: Undecided → Medium
status: New → In Progress
Changed in linux-restricted-modules (Ubuntu Groovy):
assignee: nobody → Krzysztof Kozlowski (krzk)
importance: Undecided → Medium
status: New → In Progress
Changed in linux-restricted-modules (Ubuntu Hirsute):
assignee: nobody → Krzysztof Kozlowski (krzk)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-450-server (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-450-server (Ubuntu Focal):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-450-server (Ubuntu Groovy):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-450-server (Ubuntu Hirsute):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-460 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-460 (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-460 (Ubuntu Focal):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-460 (Ubuntu Groovy):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-460 (Ubuntu Hirsute):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-settings (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-settings (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
status: New → In Progress
Changed in nvidia-settings (Ubuntu Focal):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-settings (Ubuntu Groovy):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-settings (Ubuntu Hirsute):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-settings (Ubuntu Bionic):
importance: Undecided → Medium
tags: added: block-proposed-bionic block-proposed-focal block-proposed-groovy block-proposed-hirsute
Revision history for this message
Andy Whitcroft (apw) wrote : Please test proposed package

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-465 into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-465/465.27-0ubuntu0.21.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-hirsute
Changed in nvidia-graphics-drivers-465 (Ubuntu Hirsute):
status: New → Fix Committed
1 comments hidden view all 104 comments
Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-465 into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-465/465.27-0ubuntu0.20.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-465 (Ubuntu Groovy):
status: New → Fix Committed
tags: added: verification-needed-groovy
Changed in nvidia-graphics-drivers-465 (Ubuntu Focal):
status: New → Fix Committed
tags: added: verification-needed-focal
Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-465 into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-465/465.27-0ubuntu0.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-465 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-465/465.27-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-465 (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460 into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460/460.73.01-0ubuntu0.20.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-460 (Ubuntu Groovy):
status: In Progress → Fix Committed
Changed in nvidia-graphics-drivers-460 (Ubuntu Hirsute):
status: In Progress → Fix Committed
Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460 into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460/460.73.01-0ubuntu1.21.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-460 (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460 into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460/460.73.01-0ubuntu0.20.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-460 (Ubuntu Bionic):
status: In Progress → Fix Committed
Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460/460.73.01-0ubuntu0.18.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-450-server into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450-server/450.119.04-0ubuntu0.21.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-450-server (Ubuntu Hirsute):
status: In Progress → Fix Committed
Changed in nvidia-graphics-drivers-450-server (Ubuntu Groovy):
status: In Progress → Fix Committed
Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-450-server into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450-server/450.119.04-0ubuntu0.20.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-450-server (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-450-server into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450-server/450.119.04-0ubuntu0.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-450-server (Ubuntu Bionic):
status: In Progress → Fix Committed
Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-450-server into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450-server/450.119.04-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Stefan Bader (smb)
Changed in linux-restricted-modules (Ubuntu Hirsute):
status: In Progress → Fix Committed
Stefan Bader (smb)
Changed in linux-restricted-modules (Ubuntu Groovy):
status: In Progress → Fix Committed
Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (nvidia-graphics-drivers-465/465.27-0ubuntu0.21.04.1)

All autopkgtests for the newly accepted nvidia-graphics-drivers-465 (465.27-0ubuntu0.21.04.1) for hirsute have finished running.
The following regressions have been reported in tests triggered by the package:

pyopencl/2021.1.2-1build1 (amd64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/hirsute/update_excuses.html#nvidia-graphics-drivers-465

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (nvidia-graphics-drivers-460/460.73.01-0ubuntu1.21.04.1)

All autopkgtests for the newly accepted nvidia-graphics-drivers-460 (460.73.01-0ubuntu1.21.04.1) for hirsute have finished running.
The following regressions have been reported in tests triggered by the package:

pyopencl/2021.1.2-1build1 (amd64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/hirsute/update_excuses.html#nvidia-graphics-drivers-460

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (nvidia-graphics-drivers-450-server/450.119.04-0ubuntu0.21.04.1)

All autopkgtests for the newly accepted nvidia-graphics-drivers-450-server (450.119.04-0ubuntu0.21.04.1) for hirsute have finished running.
The following regressions have been reported in tests triggered by the package:

pyopencl/2021.1.2-1build1 (amd64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/hirsute/update_excuses.html#nvidia-graphics-drivers-450-server

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-465 - 465.27-0ubuntu1

---------------
nvidia-graphics-drivers-465 (465.27-0ubuntu1) impish; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Tue, 04 May 2021 14:16:43 +0200

Changed in nvidia-graphics-drivers-465 (Ubuntu):
status: New → Fix Released
Changed in linux-restricted-modules (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux-restricted-modules (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Andy Whitcroft (apw) wrote : Please test proposed package

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460 into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460/460.80-0ubuntu0.21.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460 into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460/460.80-0ubuntu0.20.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460 into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460/460.80-0ubuntu0.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460/460.80-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-465 into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-465/465.27-0ubuntu0.20.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-465 into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-465/465.27-0ubuntu0.21.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-465 into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-465/465.27-0ubuntu0.20.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-465 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-465/465.27-0ubuntu0.18.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (nvidia-graphics-drivers-465/465.27-0ubuntu0.21.04.2)

All autopkgtests for the newly accepted nvidia-graphics-drivers-465 (465.27-0ubuntu0.21.04.2) for hirsute have finished running.
The following regressions have been reported in tests triggered by the package:

pyopencl/2021.1.2-1build1 (amd64, armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/hirsute/update_excuses.html#nvidia-graphics-drivers-465

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hey Alberto! Looking at the nvidia-settings hirsute SRU in the queue: I see your upload is reverting the change from 460.56-0ubuntu2 - the patch include-Xlib.patch is removed but the fix doesn't seem to be part of the new upstream version. It feels to me as if this would re-introduce LP: #1922583 and cause the dependent package to FTBFS again?

Is that the case? Or is the change no longer necessary? Thanks!

Revision history for this message
Łukasz Zemczak (sil2100) wrote : Please test proposed package

Hello Alberto, or anyone else affected,

Accepted nvidia-settings into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-settings/460.73.01-0ubuntu0.21.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-settings (Ubuntu Hirsute):
status: In Progress → Fix Committed
Changed in nvidia-settings (Ubuntu Groovy):
status: In Progress → Fix Committed
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-settings into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-settings/460.73.01-0ubuntu0.20.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-settings (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-settings into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-settings/460.73.01-0ubuntu0.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-settings into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-settings/460.73.01-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-settings (Ubuntu Bionic):
status: In Progress → Fix Committed
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Ok, performed a review of the NEW packages of fabric-manager-{450,460}. I'll accept them as is as none of those issues are blocking, but please fix those before proceeding with the SRUs. The packaging is in overall a bit on the 'weird' side, but Nvidia pieces can get a bit hairy.

List of minor issues to fix:
 - For fabric-manager-450 the Vcs-Browser field does not exist (looks like the 450 is not on available on github?). 460 seems to be there though.
 - fabric-manager-450 has .install, .links and .triggers for the 460 packages. These need to removed as they're just adding to the confusion.
 - In both packages in debian/rules there's a override_dh_auto_build: that does `rm -f lib*.so` - that seems like some leftover that needs cleanup.
 - In debian/rules the BRANCH variable is set to 999 instead of 450 and 460 respectively. I think this should be kept up to date with the packages that are being considered.

Accepting o/

Revision history for this message
Bin Li (binli) wrote :

https://bugs.launchpad.net/sutton/+bug/1927931

We met the nvidia-settings crash at version 460.39-0ubuntu0.20.04.1, after upgraded to 460.73.01-0ubuntu0.20.04.1 in proposed, it won't crash any more.

Changed in fabric-manager-460 (Ubuntu):
status: New → Fix Committed
Changed in fabric-manager-450 (Ubuntu):
status: New → Fix Committed
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Performed a review of the remaining 2 NEW packages. Non-blocking issues for libnvidia-nscq-*

 - Build-Depends on a non-versioned debhelper?
 - Same as above, debian/rules BRANCH variable is set to 999
 - Same as above, weird `rm -f lib*.so` in override_dh_auto_build - cleanup needed

Besides that, I guess all the 4 new packages suffer from some lintian warnings (forgot to mention those earlier). Possibly good to have some overrides for those that make no sense, but I'm listing some that would be good to fix:

W: libnvidia-nscq-460 source: ancient-standards-version 3.8.0 (released 2008-06-04) (current is 4.5.0)
W: libnvidia-nscq-460 source: override_dh_fixperms-does-not-call-dh_fixperms (line 124)
W: libnvidia-nscq-460 source: package-uses-deprecated-debhelper-compat-version 9

Still, I think it's non-blocking for a package of this caliber.

Revision history for this message
Łukasz Zemczak (sil2100) wrote :

(oh, and libnvidia-nscq-450 also has 460 .install file, this needs cleanup)

Changed in fabric-manager-450 (Ubuntu Hirsute):
status: New → Fix Committed
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Alberto, or anyone else affected,

Accepted fabric-manager-450 into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fabric-manager-450/450.119.04-0ubuntu0.21.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in fabric-manager-460 (Ubuntu Hirsute):
status: New → Fix Committed
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Alberto, or anyone else affected,

Accepted fabric-manager-460 into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fabric-manager-460/460.73.01-0ubuntu0.21.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Alberto, or anyone else affected,

Accepted fabric-manager-460 into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fabric-manager-460/460.73.01-0ubuntu0.21.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Alberto, or anyone else affected,

Accepted fabric-manager-450 into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fabric-manager-450/450.119.04-0ubuntu0.21.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Alberto, or anyone else affected,

Accepted fabric-manager-460 into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fabric-manager-460/460.73.01-0ubuntu0.20.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in fabric-manager-460 (Ubuntu Groovy):
status: New → Fix Committed
Changed in fabric-manager-450 (Ubuntu Groovy):
status: New → Fix Committed
Changed in fabric-manager-450 (Ubuntu Focal):
status: New → Fix Committed
Changed in fabric-manager-460 (Ubuntu Focal):
status: New → Fix Committed
Changed in fabric-manager-460 (Ubuntu Bionic):
status: New → Fix Committed
Changed in fabric-manager-450 (Ubuntu Bionic):
status: New → Fix Committed
Changed in libnvidia-nscq-450 (Ubuntu Focal):
status: New → Fix Committed
Changed in fabric-manager-460 (Ubuntu):
status: Fix Committed → Fix Released
Changed in fabric-manager-450 (Ubuntu):
status: Fix Committed → Fix Released
Changed in libnvidia-nscq-450 (Ubuntu):
status: New → Fix Released
Changed in libnvidia-nscq-460 (Ubuntu):
status: New → Fix Released
Changed in libnvidia-nscq-450 (Ubuntu Groovy):
status: New → Fix Committed
Changed in libnvidia-nscq-450 (Ubuntu Hirsute):
status: New → Fix Committed
Changed in libnvidia-nscq-460 (Ubuntu Hirsute):
status: New → Fix Committed
Changed in libnvidia-nscq-460 (Ubuntu Groovy):
status: New → Fix Committed
Changed in libnvidia-nscq-460 (Ubuntu Focal):
status: New → Fix Committed
Changed in libnvidia-nscq-460 (Ubuntu Bionic):
status: New → Fix Committed
Changed in libnvidia-nscq-450 (Ubuntu Bionic):
status: New → Fix Committed
description: updated
description: updated
description: updated
24 comments hidden view all 104 comments
Revision history for this message
Francis Ginther (fginther) wrote :

I've completed additional testing on bionic on a dgx2:

nvidia-graphics-drivers-450-server:
Both the bionic lrm and dkms versions were tested successfully with via the cuda samples test (version 11.0).

fabric-manager-450 and libnvidia-nscq-450:
These passed using the cuda samples test and 'dcgmi discovery -l' on a dgx-2 host using bionic.

I also retested the focal lrm version nvidia-graphics-drivers-450-server on a gcp cloud VM. It now installs with the kernel and lrm packages in focal-proposed.

Revision history for this message
Francis Ginther (fginther) wrote :

fabric-manager-460 and libnvidia-nscq-460:
These passed using the cuda samples test and 'dcgmi discovery -l' test on a dgx-2 host using bionic and focal.

Revision history for this message
Lukas Waymann (meribold) wrote :

We've tested driver versions 460.80 and 465.27 on Bionic, Focal, Groovy, and Hirsute. The full results are available at <https://docs.google.com/spreadsheets/d/14gb4mLYgmS-uDZeeqoltkxOom8b3fZHBOWPo8dcARew> and <https://docs.google.com/spreadsheets/d/18cBMFkL36qu7rn5GqH4nDtEA7THclStbyhld39eYYoM>, respectively.

We found one potential issue. During some boots, the nvidia-settings GUI only has the "PRIME Profiles" tab with all other options missing. This only occurred on Hirsute, primarily on one out of three tested laptops, and primarily with the 460.80 driver. I could also reproduce the same issue with the previous driver version (460.73.01). All other tests were successful.

tags: added: verification-done verification-done-bionic verification-done-focal verification-done-groovy verification-done-hirsute
removed: verification-needed verification-needed-bionic verification-needed-focal verification-needed-groovy verification-needed-hirsute
Revision history for this message
Andy Whitcroft (apw) wrote : Update Released

The verification of the Stable Release Update for nvidia-graphics-drivers-450-server has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

tags: removed: block-proposed-hirsute
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-450-server - 450.119.04-0ubuntu0.21.04.2

---------------
nvidia-graphics-drivers-450-server (450.119.04-0ubuntu0.21.04.2) hirsute; urgency=medium

  * debian/templates/{dkms_nvidia.conf.in|dkms.conf.fragment.in}:
    - Remove block on uvm on Linux >= 5.10.

nvidia-graphics-drivers-450-server (450.119.04-0ubuntu0.21.04.1) hirsute; urgency=medium

  * New upstream release (LP: #1925522).
    - Fixed an issue with the NSCQ library that caused clients such as
      DCGM to fail to load the library. Since the NSCQ library version
      needs to match the driver version, the user would encounter a
      version mismatch issue when using DCGM.
    - Fixed an ECC policy that caused a CUDA malloc failure after
      encountering a single uncorrectable error.

 -- Alberto Milone <email address hidden> Fri, 21 May 2021 15:44:11 +0200

Changed in nvidia-graphics-drivers-450-server (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460 - 460.80-0ubuntu0.21.04.2

---------------
nvidia-graphics-drivers-460 (460.80-0ubuntu0.21.04.2) hirsute; urgency=medium

  * debian/additional_card_ids:
    - Add new IDs:
      1FB1 (Nvidia T600)
      2231 (Nvidia RTX A5000)
      24B7 (Nvidia RTX A4000 mobile)
      24B8 (Nvidia RTX A3000 mobile)
      25B8 (Nvidia RTX A2000 mobile)

nvidia-graphics-drivers-460 (460.80-0ubuntu0.21.04.1) hirsute; urgency=medium

  * New upstream release (LP: #1925522):
    - Added support for the following GPUs:
        GeForce RTX 3050 Ti Laptop GPU
        GeForce RTX 3050 Laptop GPU
        T600 Laptop GPU
        T1200 Laptop GPU
        RTX A5000 Laptop GPU
        RTX A4000 Laptop GPU
        RTX A3000 Laptop GPU
        RTX A2000 Laptop GPU
    - Fixed a bug that could cause AddressSanitizer to report a heap-
      buffer-overflow during initialization of the OpenGL and Vulkan
      libraries.
    - Fixed a bug that could prevent a system from resuming from
      suspend when DisplayPort activity occurred while the system was
      suspended.
    - Fixed a regression that prevented eglQueryDevicesEXT from
      correctly enumerating GPUs on systems with multiple GPUs where
      access to the GPU device files was restricted for some GPUs.
    - Fixed a regression that could cause system hangs when changing
      display resolution on SLI Mosaic configurations.
    - Fixed a bug that could result in blank displays when driving
      multiple displays at the same resolution using active
      DisplayPort dongles.

 -- Alberto Milone <email address hidden> Fri, 21 May 2021 13:00:41 +0200

Changed in nvidia-graphics-drivers-460 (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-465 - 465.27-0ubuntu0.21.04.2

---------------
nvidia-graphics-drivers-465 (465.27-0ubuntu0.21.04.2) hirsute; urgency=medium

  * debian/templates/dkms.conf.fragment.in:
    - Install the nvidia-peermem module.
  * debian/templates/control.in:
    - Make nvidia-dkms depend on its versioned nvidia-kernel-source
      (LP: #1925386).
  * debian/templates/nvidia-kernel-common-flavour.install.in:
    - Install firmware in lib/firmware/nvidia/$version.

nvidia-graphics-drivers-465 (465.27-0ubuntu0.21.04.1) hirsute; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Tue, 11 May 2021 15:08:49 +0200

Changed in nvidia-graphics-drivers-465 (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Andy Whitcroft (apw)
tags: removed: block-proposed-bionic block-proposed-focal
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-450-server - 450.119.04-0ubuntu0.18.04.2

---------------
nvidia-graphics-drivers-450-server (450.119.04-0ubuntu0.18.04.2) bionic; urgency=medium

  * debian/templates/{dkms_nvidia.conf.in|dkms.conf.fragment.in}:
    - Remove block on uvm on Linux >= 5.10.

nvidia-graphics-drivers-450-server (450.119.04-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1925522).
    - Fixed an issue with the NSCQ library that caused clients such as
      DCGM to fail to load the library. Since the NSCQ library version
      needs to match the driver version, the user would encounter a
      version mismatch issue when using DCGM.
    - Fixed an ECC policy that caused a CUDA malloc failure after
      encountering a single uncorrectable error.

 -- Alberto Milone <email address hidden> Fri, 21 May 2021 15:47:39 +0200

Changed in nvidia-graphics-drivers-450-server (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460 - 460.80-0ubuntu0.18.04.2

---------------
nvidia-graphics-drivers-460 (460.80-0ubuntu0.18.04.2) bionic; urgency=medium

  * debian/additional_card_ids:
    - Add new IDs:
      1FB1 (Nvidia T600)
      2231 (Nvidia RTX A5000)
      24B7 (Nvidia RTX A4000 mobile)
      24B8 (Nvidia RTX A3000 mobile)
      25B8 (Nvidia RTX A2000 mobile)

nvidia-graphics-drivers-460 (460.80-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1925522):
    - Added support for the following GPUs:
        GeForce RTX 3050 Ti Laptop GPU
        GeForce RTX 3050 Laptop GPU
        T600 Laptop GPU
        T1200 Laptop GPU
        RTX A5000 Laptop GPU
        RTX A4000 Laptop GPU
        RTX A3000 Laptop GPU
        RTX A2000 Laptop GPU
    - Fixed a bug that could cause AddressSanitizer to report a heap-
      buffer-overflow during initialization of the OpenGL and Vulkan
      libraries.
    - Fixed a bug that could prevent a system from resuming from
      suspend when DisplayPort activity occurred while the system was
      suspended.
    - Fixed a regression that prevented eglQueryDevicesEXT from
      correctly enumerating GPUs on systems with multiple GPUs where
      access to the GPU device files was restricted for some GPUs.
    - Fixed a regression that could cause system hangs when changing
      display resolution on SLI Mosaic configurations.
    - Fixed a bug that could result in blank displays when driving
      multiple displays at the same resolution using active
      DisplayPort dongles.

 -- Alberto Milone <email address hidden> Fri, 21 May 2021 13:02:33 +0200

Changed in nvidia-graphics-drivers-460 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-465 - 465.27-0ubuntu0.18.04.2

---------------
nvidia-graphics-drivers-465 (465.27-0ubuntu0.18.04.2) bionic; urgency=medium

  * debian/templates/dkms.conf.fragment.in:
    - Install the nvidia-peermem module.
  * debian/templates/control.in:
    - Make nvidia-dkms depend on its versioned nvidia-kernel-source
      (LP: #1925386).
  * debian/templates/nvidia-kernel-common-flavour.install.in:
    - Install firmware in lib/firmware/nvidia/$version.

nvidia-graphics-drivers-465 (465.27-0ubuntu0.18.04.1) bionic; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Tue, 11 May 2021 16:25:41 +0200

Changed in nvidia-graphics-drivers-465 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-450-server - 450.119.04-0ubuntu0.20.04.2

---------------
nvidia-graphics-drivers-450-server (450.119.04-0ubuntu0.20.04.2) focal; urgency=medium

  * debian/templates/{dkms_nvidia.conf.in|dkms.conf.fragment.in}:
    - Remove block on uvm on Linux >= 5.10.

nvidia-graphics-drivers-450-server (450.119.04-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release (LP: #1925522).
    - Fixed an issue with the NSCQ library that caused clients such as
      DCGM to fail to load the library. Since the NSCQ library version
      needs to match the driver version, the user would encounter a
      version mismatch issue when using DCGM.
    - Fixed an ECC policy that caused a CUDA malloc failure after
      encountering a single uncorrectable error.

 -- Alberto Milone <email address hidden> Fri, 21 May 2021 15:46:25 +0200

Changed in nvidia-graphics-drivers-450-server (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460 - 460.80-0ubuntu0.20.04.2

---------------
nvidia-graphics-drivers-460 (460.80-0ubuntu0.20.04.2) focal; urgency=medium

  * debian/additional_card_ids:
    - Add new IDs:
      1FB1 (Nvidia T600)
      2231 (Nvidia RTX A5000)
      24B7 (Nvidia RTX A4000 mobile)
      24B8 (Nvidia RTX A3000 mobile)
      25B8 (Nvidia RTX A2000 mobile)

nvidia-graphics-drivers-460 (460.80-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release (LP: #1925522):
    - Added support for the following GPUs:
        GeForce RTX 3050 Ti Laptop GPU
        GeForce RTX 3050 Laptop GPU
        T600 Laptop GPU
        T1200 Laptop GPU
        RTX A5000 Laptop GPU
        RTX A4000 Laptop GPU
        RTX A3000 Laptop GPU
        RTX A2000 Laptop GPU
    - Fixed a bug that could cause AddressSanitizer to report a heap-
      buffer-overflow during initialization of the OpenGL and Vulkan
      libraries.
    - Fixed a bug that could prevent a system from resuming from
      suspend when DisplayPort activity occurred while the system was
      suspended.
    - Fixed a regression that prevented eglQueryDevicesEXT from
      correctly enumerating GPUs on systems with multiple GPUs where
      access to the GPU device files was restricted for some GPUs.
    - Fixed a regression that could cause system hangs when changing
      display resolution on SLI Mosaic configurations.
    - Fixed a bug that could result in blank displays when driving
      multiple displays at the same resolution using active
      DisplayPort dongles.

 -- Alberto Milone <email address hidden> Fri, 21 May 2021 13:01:58 +0200

Changed in nvidia-graphics-drivers-460 (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-465 - 465.27-0ubuntu0.20.04.2

---------------
nvidia-graphics-drivers-465 (465.27-0ubuntu0.20.04.2) focal; urgency=medium

  * debian/templates/dkms.conf.fragment.in:
    - Install the nvidia-peermem module.
  * debian/templates/control.in:
    - Make nvidia-dkms depend on its versioned nvidia-kernel-source
      (LP: #1925386).
  * debian/templates/nvidia-kernel-common-flavour.install.in:
    - Install firmware in lib/firmware/nvidia/$version.

nvidia-graphics-drivers-465 (465.27-0ubuntu0.20.04.1) focal; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Tue, 11 May 2021 15:26:32 +0200

Changed in nvidia-graphics-drivers-465 (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libnvidia-nscq-450 - 450.119.04-0ubuntu0.18.04.1

---------------
libnvidia-nscq-450 (450.119.04-0ubuntu0.18.04.1) bionic; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Wed, 19 May 2021 14:19:53 +0200

Changed in libnvidia-nscq-450 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libnvidia-nscq-460 - 460.73.01-0ubuntu0.18.04.1

---------------
libnvidia-nscq-460 (460.73.01-0ubuntu0.18.04.1) bionic; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Wed, 19 May 2021 12:50:06 +0200

Changed in libnvidia-nscq-460 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libnvidia-nscq-460 - 460.73.01-0ubuntu0.20.04.1

---------------
libnvidia-nscq-460 (460.73.01-0ubuntu0.20.04.1) focal; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Wed, 19 May 2021 12:50:06 +0200

Changed in libnvidia-nscq-460 (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libnvidia-nscq-450 - 450.119.04-0ubuntu0.20.04.1

---------------
libnvidia-nscq-450 (450.119.04-0ubuntu0.20.04.1) focal; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Wed, 19 May 2021 14:19:53 +0200

Changed in libnvidia-nscq-450 (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fabric-manager-450 - 450.119.04-0ubuntu0.20.04.1

---------------
fabric-manager-450 (450.119.04-0ubuntu0.20.04.1) focal; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Fri, 16 Apr 2021 17:07:52 +0200

Changed in fabric-manager-450 (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fabric-manager-460 - 460.73.01-0ubuntu0.20.04.1

---------------
fabric-manager-460 (460.73.01-0ubuntu0.20.04.1) focal; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Fri, 16 Apr 2021 16:40:15 +0200

Changed in fabric-manager-460 (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fabric-manager-460 - 460.73.01-0ubuntu0.18.04.1

---------------
fabric-manager-460 (460.73.01-0ubuntu0.18.04.1) bionic; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Fri, 16 Apr 2021 16:40:15 +0200

Changed in fabric-manager-460 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fabric-manager-450 - 450.119.04-0ubuntu0.18.04.1

---------------
fabric-manager-450 (450.119.04-0ubuntu0.18.04.1) bionic; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Fri, 16 Apr 2021 17:07:52 +0200

Changed in fabric-manager-450 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fabric-manager-450 - 450.119.04-0ubuntu0.21.04.2

---------------
fabric-manager-450 (450.119.04-0ubuntu0.21.04.2) hirsute; urgency=medium

  * debian/templates/control.in:
    - Drop dependency on cuda-drivers-$branch.

fabric-manager-450 (450.119.04-0ubuntu0.21.04.1) hirsute; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Thu, 20 May 2021 16:49:48 +0200

Changed in fabric-manager-450 (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fabric-manager-460 - 460.73.01-0ubuntu0.21.04.2

---------------
fabric-manager-460 (460.73.01-0ubuntu0.21.04.2) hirsute; urgency=medium

  * debian/templates/control.in:
    - Drop dependency on cuda-drivers-$branch.

fabric-manager-460 (460.73.01-0ubuntu0.21.04.1) hirsute; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Thu, 20 May 2021 16:47:12 +0200

Changed in fabric-manager-460 (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libnvidia-nscq-450 - 450.119.04-0ubuntu0.21.04.1

---------------
libnvidia-nscq-450 (450.119.04-0ubuntu0.21.04.1) hirsute; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Wed, 19 May 2021 14:19:53 +0200

Changed in libnvidia-nscq-450 (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libnvidia-nscq-460 - 460.73.01-0ubuntu0.21.04.1

---------------
libnvidia-nscq-460 (460.73.01-0ubuntu0.21.04.1) hirsute; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Wed, 19 May 2021 12:50:06 +0200

Changed in libnvidia-nscq-460 (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Andy Whitcroft (apw)
tags: removed: block-proposed-groovy
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-450-server - 450.119.04-0ubuntu0.20.10.2

---------------
nvidia-graphics-drivers-450-server (450.119.04-0ubuntu0.20.10.2) groovy; urgency=medium

  * debian/templates/{dkms_nvidia.conf.in|dkms.conf.fragment.in}:
    - Remove block on uvm on Linux >= 5.10.

nvidia-graphics-drivers-450-server (450.119.04-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release (LP: #1925522).
    - Fixed an issue with the NSCQ library that caused clients such as
      DCGM to fail to load the library. Since the NSCQ library version
      needs to match the driver version, the user would encounter a
      version mismatch issue when using DCGM.
    - Fixed an ECC policy that caused a CUDA malloc failure after
      encountering a single uncorrectable error.

 -- Alberto Milone <email address hidden> Fri, 21 May 2021 15:45:11 +0200

Changed in nvidia-graphics-drivers-450-server (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460 - 460.80-0ubuntu0.20.10.2

---------------
nvidia-graphics-drivers-460 (460.80-0ubuntu0.20.10.2) groovy; urgency=medium

  * debian/additional_card_ids:
    - Add new IDs:
      1FB1 (Nvidia T600)
      2231 (Nvidia RTX A5000)
      24B7 (Nvidia RTX A4000 mobile)
      24B8 (Nvidia RTX A3000 mobile)
      25B8 (Nvidia RTX A2000 mobile)

nvidia-graphics-drivers-460 (460.80-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release (LP: #1925522):
    - Added support for the following GPUs:
        GeForce RTX 3050 Ti Laptop GPU
        GeForce RTX 3050 Laptop GPU
        T600 Laptop GPU
        T1200 Laptop GPU
        RTX A5000 Laptop GPU
        RTX A4000 Laptop GPU
        RTX A3000 Laptop GPU
        RTX A2000 Laptop GPU
    - Fixed a bug that could cause AddressSanitizer to report a heap-
      buffer-overflow during initialization of the OpenGL and Vulkan
      libraries.
    - Fixed a bug that could prevent a system from resuming from
      suspend when DisplayPort activity occurred while the system was
      suspended.
    - Fixed a regression that prevented eglQueryDevicesEXT from
      correctly enumerating GPUs on systems with multiple GPUs where
      access to the GPU device files was restricted for some GPUs.
    - Fixed a regression that could cause system hangs when changing
      display resolution on SLI Mosaic configurations.
    - Fixed a bug that could result in blank displays when driving
      multiple displays at the same resolution using active
      DisplayPort dongles.

 -- Alberto Milone <email address hidden> Fri, 21 May 2021 13:01:23 +0200

Changed in nvidia-graphics-drivers-460 (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-465 - 465.27-0ubuntu0.20.10.2

---------------
nvidia-graphics-drivers-465 (465.27-0ubuntu0.20.10.2) groovy; urgency=medium

  * debian/templates/dkms.conf.fragment.in:
    - Install the nvidia-peermem module.
  * debian/templates/control.in:
    - Make nvidia-dkms depend on its versioned nvidia-kernel-source
      (LP: #1925386).
  * debian/templates/nvidia-kernel-common-flavour.install.in:
    - Install firmware in lib/firmware/nvidia/$version.

nvidia-graphics-drivers-465 (465.27-0ubuntu0.20.10.1) groovy; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Tue, 11 May 2021 15:25:33 +0200

Changed in nvidia-graphics-drivers-465 (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Jonas Gamao (yamiyukisenpai) wrote :

For some reason 460.80 won't show the login/display manager screen when plugged into DisplayPort.

https://www.reddit.com/r/Ubuntu/comments/nr476z/has_anyone_here_having_issues_with_nvidia_465/h0gcvut/?context=1000

https://forums.developer.nvidia.com/t/465-24-02-page-fault/175782/64

Can you roll back from version 460.80 to 460.7x?

Revision history for this message
Sønke Lorenzen (solorenzen) wrote :

I have a problem with DisplayPort on the new drivers too and created https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-465/+bug/1930733 about it.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460 - 460.80-0ubuntu3

---------------
nvidia-graphics-drivers-460 (460.80-0ubuntu3) impish; urgency=medium

  * debian/dkms_nvidia/patches/buildfix_kernel_5.13.patch,
    debian/templates/dkms_nvidia.conf.in:
    - Add support for Linux 5.13.

 -- Alberto Milone <email address hidden> Wed, 26 May 2021 17:37:16 +0200

Changed in nvidia-graphics-drivers-460 (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-450-server - 450.119.04-0ubuntu3

---------------
nvidia-graphics-drivers-450-server (450.119.04-0ubuntu3) impish; urgency=medium

  * debian/dkms_nvidia/patches/buildfix_kernel_5.13.patch,
    debian/templates/dkms_nvidia.conf.in:
    - Add support for Linux 5.13.

 -- Alberto Milone <email address hidden> Thu, 27 May 2021 12:42:41 +0200

Changed in nvidia-graphics-drivers-450-server (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-settings - 460.73.01-0ubuntu0.18.04.1

---------------
nvidia-settings (460.73.01-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1925522).
  * debian/patches/08_add_prime_support.patch:
    - Stop the timeout after the child is done. This fixes an error
      that g_type_check_instance_is_a() was throwing.

 -- Alberto Milone <email address hidden> Wed, 05 May 2021 15:48:47 +0200

Changed in nvidia-settings (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-settings - 460.73.01-0ubuntu0.20.04.1

---------------
nvidia-settings (460.73.01-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release (LP: #1925522).
  * debian/patches/08_add_prime_support.patch:
    - Stop the timeout after the child is done. This fixes an error
      that g_type_check_instance_is_a() was throwing.

 -- Alberto Milone <email address hidden> Wed, 05 May 2021 15:41:06 +0200

Changed in nvidia-settings (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-settings - 460.73.01-0ubuntu0.20.10.1

---------------
nvidia-settings (460.73.01-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release (LP: #1925522).
  * debian/patches/08_add_prime_support.patch:
    - Stop the timeout after the child is done. This fixes an error
      that g_type_check_instance_is_a() was throwing.

 -- Alberto Milone <email address hidden> Wed, 05 May 2021 15:32:25 +0200

Changed in nvidia-settings (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-settings - 460.73.01-0ubuntu0.21.04.1

---------------
nvidia-settings (460.73.01-0ubuntu0.21.04.1) hirsute; urgency=medium

  * New upstream release (LP: #1925522).

 -- Alberto Milone <email address hidden> Thu, 13 May 2021 11:52:30 +0200

Changed in nvidia-settings (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fabric-manager-450 - 450.119.04-0ubuntu0.20.10.1

---------------
fabric-manager-450 (450.119.04-0ubuntu0.20.10.1) groovy; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Wed, 19 May 2021 12:19:14 +0200

Changed in fabric-manager-450 (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fabric-manager-460 - 460.73.01-0ubuntu0.20.10.1

---------------
fabric-manager-460 (460.73.01-0ubuntu0.20.10.1) groovy; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Fri, 16 Apr 2021 16:40:15 +0200

Changed in fabric-manager-460 (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libnvidia-nscq-450 - 450.119.04-0ubuntu0.20.10.1

---------------
libnvidia-nscq-450 (450.119.04-0ubuntu0.20.10.1) groovy; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Wed, 19 May 2021 14:19:53 +0200

Changed in libnvidia-nscq-450 (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libnvidia-nscq-460 - 460.73.01-0ubuntu0.20.10.1

---------------
libnvidia-nscq-460 (460.73.01-0ubuntu0.20.10.1) groovy; urgency=medium

  * Initial release (LP: #1925522).

 -- Alberto Milone <email address hidden> Wed, 19 May 2021 12:50:06 +0200

Changed in libnvidia-nscq-460 (Ubuntu Groovy):
status: Fix Committed → Fix Released
Displaying first 40 and last 40 comments. View all 104 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers